> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compasslabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check USDS Position

> Check the USDS overall position.



## OpenAPI

````yaml /v1/combined_spec.json get /v1/sky/position
openapi: 3.1.0
info:
  title: Compass API
  description: Compass Labs DeFi API
  version: 0.0.1
servers:
  - url: https://api.compasslabs.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/sky/position:
    get:
      tags:
        - Sky
      summary: Check USDS Position
      description: Check the USDS overall position.
      operationId: v1_sky_position
      parameters:
        - name: chain
          in: query
          required: true
          schema:
            type: string
            enum:
              - ethereum
            title: Chain
            default: ethereum
        - name: user_address
          in: query
          required: true
          schema:
            type: string
            title: User Address
            default: '0xacCEE9C7A5a759f814C7A770e2D8F78d662b1F60'
          description: The user-address of the desired position.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkyCheckPositionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from compass_api_sdk import CompassAPI, models


            with CompassAPI(
                api_key_auth="<YOUR_API_KEY_HERE>",
            ) as compass_api:

                res = compass_api.sky.sky_position(chain=models.V1SkyPositionChain.ETHEREUM, user_address="0xacCEE9C7A5a759f814C7A770e2D8F78d662b1F60")

                # Handle response
                print(res)
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { CompassApiSDK } from "@compass-labs/api-sdk";

            const compassApiSDK = new CompassApiSDK({
              apiKeyAuth: "<YOUR_API_KEY_HERE>",
            });

            async function run() {
              const result = await compassApiSDK.sky.skyPosition({
                chain: "ethereum",
                userAddress: "0xacCEE9C7A5a759f814C7A770e2D8F78d662b1F60",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    SkyCheckPositionResponse:
      properties:
        usds_value_of_deposits:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Usds Value Of Deposits
          description: >-
            The USDS equivalent value of the user's deposits thus far (principal
            + yield).
        shares:
          type: integer
          title: Shares
      type: object
      required:
        - usds_value_of_deposits
        - shares
      title: SkyCheckPositionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Your Compass API Key. Get your key
        [here](https://www.compasslabs.ai/dashboard).

````